Bug 239503 - devel/llvm80: fails to build with all options off
Summary: devel/llvm80: fails to build with all options off
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-28 20:59 UTC by Lorenzo Salvadore
Modified: 2019-08-01 23:37 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments
llvm80 - fix for all option off (1.99 KB, patch)
2019-07-28 20:59 UTC, Lorenzo Salvadore
salvadore: maintainer-approval? (brooks)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore freebsd_committer 2019-07-28 20:59:33 UTC
Created attachment 206131 [details]
llvm80 - fix for all option off

I configured the port by setting all options off and choosing BE_FREEBSD as backend, but it fails to build.

The first error is in patching, where it tries to patch two files listed in SHEBANG_FILES, but they do not exist. I changed the Makefile by adding those files to SHEBANG_FILES only when CLANG option is on.

The second error is with pkg-plist: the port tries to install four files that are not in the stagedir. I fixed it by inserting the files in the plist only if CLANG option is on.

I attach a patch with the fixes. I hope that I figured out correctly the needed condition on CLANG option.

I tested succesfully my patch on 12.0-STABLE r350192 amd64.
Comment 1 Ruslan Garipov 2019-07-29 10:39:12 UTC
(In reply to Lorenzo Salvadore from comment #0)
Your patch works for me too.  FreeBSD 13.0-CURRENT r350398; the ports tree at r507545.

>  Importance: 	--- Affects Only Me 
Well, me too.
Comment 2 Lorenzo Salvadore freebsd_committer 2019-07-29 10:43:31 UTC
(In reply to Ruslan Garipov from comment #1)

>>  Importance: 	--- Affects Only Me 
>
> Well, me too.

Corrected. Thanks for testing.
Comment 3 commit-hook freebsd_committer 2019-08-01 23:28:31 UTC
A commit references this bug:

Author: brooks
Date: Thu Aug  1 23:27:31 UTC 2019
New revision: 507836
URL: https://svnweb.freebsd.org/changeset/ports/507836

Log:
  Address a code generation bug that could allow the ARM stack protector
  to be bypassed.

  This change merges upstream r366369, r366371, and r267068 (minus some
  test improvements).

  Also:
   - Address bugs breaking the build with all options disabled. [0]
   - Pin the python version to 3.6 rather than 2.7.

  PR:		239503 [0]
  Security:	https://kb.cert.org/vuls/id/129209

Changes:
  head/devel/llvm80/Makefile
  head/devel/llvm80/files/patch-llvm-r366369.diff
  head/devel/llvm80/files/patch-llvm-r366371.diff
  head/devel/llvm80/files/patch-llvm-r367068.diff
  head/devel/llvm80/pkg-plist